Subject: Re: bug#34952: files with/out final newline look the same no matter what

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Aug 2020 14:17:38 +0200

Eli Zaretskii <[email-masked]> writes:

>> Actually, I don't know how.  How do you ask, when you're in the
>> font-lock machinery, what the original point was?  Like here:
>> 
>>        ,@(when (memq 'missing-newline-at-eof whitespace-active-style)
>>            ;; Show missing newline.
>>            `(("[^\n]\\'" 0 (if .... something) t)))))
>
> What, calling 'point' doesn't work?  Then maybe Stefan could help us
> out.

No, (point) here has already been moved by the font locking machinery...

>> By the way, have I whined about how difficult debugging font-lock stuff
>> is?  I can't put a `debug' in there, for instance, to examine the
>> calling sequence, which would probably tell me what I need to know.
>
> I think Stefan posted some advice at some point?

Not unlikely!  I keep forgetting stuff...  Perhaps Stefan can remind me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no